;; STAKLOSS: data discussed by Daniel and Wood (1980), "Fitting
;; Equations to Data", Second Edition. John Wiley, New York, Chap.5.
;;
;; Fetch softRX shrinkage routines if they haven't already been loaded.
;;

(require "RXridge")

;;
;; Load data columnwise from ASCII format file into the variable stakloss-dat.
;;

(def stakloss-dat (read-data-columns "stakloss.dat" 4))

;;
;; Save regressor/response coordinates in individual variable names.
;;

(def aflow   (select stakloss-dat 0))               ; get single variables
(def wtemp   (select stakloss-dat 1))               ; out of read data
(def acidc   (select stakloss-dat 2))
(def sloss   (select stakloss-dat 3))

;;
;; Then construct a XLisp-Stat regression object...
;;

(def stakloss-reg (regression-model (list aflow wtemp acidc) sloss
                               :predictor-names '("AFLOW" "WTEMP" "ACIDC" )
                               :response-name "SLOSS"
             )
)

;;
;; Inform user of the NAME of the model object ...so that he/she can send
;; his/her own messages to the object!!!
;;

(format t "(RXridge regression model is called 'stakloss-reg') ~%")

;;
;; Create a MENU for the model.
;;

(send stakloss-reg :RXridge-menu "SLOSS")
(send stakloss-reg :RXridge-compute-summary)

;;
;; Everything else can be done interactively with the "SLOSS" MENU!!!
;;

