;; The "10 Factor" Example...Gorman & Toman  (1966). Technometrics  8, 27-51.
;; (no LOGs)                 Hoerl & Kennard (1970). Technometrics 12, 69-82.
;;
;; Fetch softRX shrinkage routines if they haven't already been loaded.
;;

(require "RXridge")

;;
;; Load data columnwise from ASCII format file into the variable tenfactr-dat.
;;

(def tenfactr-dat (read-data-columns "tenfactr.dat" 11))

;;
;; Save regressor/response coordinates in individual variable names.
;;

(def fac0    (select tenfactr-dat  0))          ; get single variables
(def fac1    (select tenfactr-dat  1))          ; out of read data
(def fac2    (select tenfactr-dat  2))
(def fac3    (select tenfactr-dat  3))
(def fac4    (select tenfactr-dat  4))
(def fac5    (select tenfactr-dat  5))
(def fac6    (select tenfactr-dat  6))
(def fac7    (select tenfactr-dat  7))
(def fac8    (select tenfactr-dat  8))
(def fac9    (select tenfactr-dat  9))
(def resp    (select tenfactr-dat 10))

;;
;; Then construct a XLisp-Stat regression object...
;;

(def tenfactr-reg (regression-model
  (list fac0 fac1 fac2 fac3 fac4 fac5 fac6 fac7 fac8 fac9) resp
  :predictor-names
     '("FAC0" "FAC1" "FAC2" "FAC3" "FAC4" "FAC5" "FAC6" "FAC7" "FAC8" "FAC9")
  :response-name "RESP"
                  )
)

;;
;; Inform user of the NAME of the model object ...so that he/she can send
;; his/her own messages to the object!!!
;;

(format t "(RXridge regression model is called 'tenfactr-reg') ~%")

;;
;; Create a MENU for the model.
;;

(send tenfactr-reg :RXridge-menu "TenFactor")
(send tenfactr-reg :RXridge-compute-summary)

;;
;; Everything else can be done interactively with the "TenFactor" MENU!!!
;;

